Payments & FinanceBilling
Create an AI credit checkout
POST
/v1/billing/current/ai-credits/checkoutsCreate an AI credit checkout. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/billing/current/ai-credits/checkouts" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "packCode": "example_code", "customCredits": 1 }'{ "sessionId": "7204558912004325301", "packCode": "example_code", "credits": 1, "baseAmount": 1, "discountRate": 1, "discountAmount": 1, "amount": 1, "currencyCode": "PEN", "paymentProvider": "example", "checkoutUrl": "https://example.com/resource"}